|  | Home | Documentation | wst__CancelTargetType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__CancelTargetType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":CancelTargetType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__CancelTargetType:
[legend]

## Public Attributes
_wsse__SecurityTokenReference | wsse__SecurityTokenReference

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":CancelTargetType is a complexType.

struct wst__CancelTargetType operations:

- wst__CancelTargetType* soap_new_wst__CancelTargetType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__CancelTargetType(struct soap*, wst__CancelTargetType*) default initialize members
- int soap_read_wst__CancelTargetType(struct soap*, wst__CancelTargetType*) deserialize from a source
- int soap_write_wst__CancelTargetType(struct soap*, wst__CancelTargetType*) serialize to a sink
- wst__CancelTargetType* soap_dup_wst__CancelTargetType(struct soap*, wst__CancelTargetType* dst, wst__CancelTargetType <em>src) returns deep copy of wst__CancelTargetType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__CancelTargetType(wst__CancelTargetType) deep deletes wst__CancelTargetType data members, use only on dst after soap_dup_wst__CancelTargetType(NULL, wst__CancelTargetType *dst, wst__CancelTargetType *src) (use soapcpp2 -Ed)

## Member Data Documentation

_wsse__SecurityTokenReference wst__CancelTargetType::wsse__SecurityTokenReference

Todo:

  <any namespace="##other" minoccurs="1" maxoccurs="1">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Member declared in WS/WS-typemap.dat

The documentation for this struct was generated from the following file:

- wst.h